
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$agence-primary: mat.define-palette(mat.$indigo-palette);
$agence-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$agence-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$agence-theme: mat.define-light-theme((
  color: (
    primary: $agence-primary,
    accent: $agence-accent,
    warn: $agence-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($agence-theme);

/* You can add global styles to this file, and also import other style files */

// html, body { height: 100%; }
// body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }

body {
  font-family: "Poppins", sans-serif;
  color: #555555;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #000000;
}
.a-nav{
  color: #000000;
  font-weight: 600;
}
.a-nav:hover{
  text-decoration: underline;
  text-decoration-color: #2eca6a;
  text-decoration-thickness: 0.3em; /* Ajoute de l'espace entre le texte et le soulignement */
}

.color-a {
  text-decoration: none;
  color: #000000;
}

.color-b {
  color: #2eca6a;
}

.color-d {
  color: #adadad;
}

.color-text-a {
  text-decoration: none;
  color: #555555;
}
.text-brand {
  color: #000000;
  font-size: 2rem;
  font-weight: 600;
}




